Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.sql
Interface SQLInput

All Known Implementing Classes:
  SQLInputImpl

    public interface SQLInput

An input stream that contains a stream of values representing an instance of an SQL structured type or an SQL distinct type. This interface, used only for custom mapping, is used by the driver behind the scenes, and a programmer never directly invokes `SQLInput` methods. The reader methods (`readLong`, `readBytes`, and so on) provide a way to read the values in an `SQLInput` object. The method `wasNull` is used to determine whether the the last value read was SQL `NULL`.

When the method `getObject` is called with an object of a class implementing the interface `SQLData`, the JDBC driver calls the method `SQLData.getSQLType` to determine the SQL type of the user-defined type (UDT) being custom mapped. The driver creates an instance of `SQLInput`, populating it with the attributes of the UDT. The driver then passes the input stream to the method `SQLData.readSQL`, which in turn calls the `SQLInput` reader methods in its implementation for reading the attributes from the input stream.

Since:
  1.2

Method Summary
`Array` | `readArray()` Reads an SQL `ARRAY` value from the stream and returns it as an `Array` object in the Java programming language.
`InputStream` | `readAsciiStream()` Reads the next attribute in the stream and returns it as a stream of ASCII characters.
`BigDecimal` | `readBigDecimal()` Reads the next attribute in the stream and returns it as a `java.math.BigDecimal` object in the Java programming language.
`InputStream` | `readBinaryStream()` Reads the next attribute in the stream and returns it as a stream of uninterpreted bytes.
`Blob` | `readBlob()` Reads an SQL `BLOB` value from the stream and returns it as a `Blob` object in the Java programming language.
`boolean` | `readBoolean()` Reads the next attribute in the stream and returns it as a `boolean` in the Java programming language.
`byte` | `readByte()` Reads the next attribute in the stream and returns it as a `byte` in the Java programming language.
`byte[]` | `readBytes()` Reads the next attribute in the stream and returns it as an array of bytes in the Java programming language.
`Reader` | `readCharacterStream()` Reads the next attribute in the stream and returns it as a stream of Unicode characters.
`Clob` | `readClob()` Reads an SQL `CLOB` value from the stream and returns it as a `Clob` object in the Java programming language.
`Date` | `readDate()` Reads the next attribute in the stream and returns it as a `java.sql.Date` object.
`double` | `readDouble()` Reads the next attribute in the stream and returns it as a `double` in the Java programming language.
`float` | `readFloat()` Reads the next attribute in the stream and returns it as a `float` in the Java programming language.
`int` | `readInt()` Reads the next attribute in the stream and returns it as an `int` in the Java programming language.
`long` | `readLong()` Reads the next attribute in the stream and returns it as a `long` in the Java programming language.
`Object` | `readObject()` Reads the datum at the head of the stream and returns it as an `Object` in the Java programming language.
`Ref` | `readRef()` Reads an SQL `REF` value from the stream and returns it as a `Ref` object in the Java programming language.
`short` | `readShort()` Reads the next attribute in the stream and returns it as a `short` in the Java programming language.
`String` | `readString()` Reads the next attribute in the stream and returns it as a `String` in the Java programming language.
`Time` | `readTime()` Reads the next attribute in the stream and returns it as a `java.sql.Time` object.
`Timestamp` | `readTimestamp()` Reads the next attribute in the stream and returns it as a `java.sql.Timestamp` object.
`URL` | `readURL()` Reads an SQL `DATALINK` value from the stream and returns it as a `java.net.URL` object in the Java programming language.
`boolean` | `wasNull()` Retrieves whether the last value read was SQL `NULL`.

Method Detail

### readString

    String readString()
                      throws SQLException

  Reads the next attribute in the stream and returns it as a `String` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readBoolean

    boolean readBoolean()
                        throws SQLException

  Reads the next attribute in the stream and returns it as a `boolean` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `false`
  Throws:
    `SQLException` - if a database access error occurs

### readByte

    byte readByte()
                  throws SQLException

  Reads the next attribute in the stream and returns it as a `byte` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readShort

    short readShort()
                    throws SQLException

  Reads the next attribute in the stream and returns it as a `short` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readInt

    int readInt()
                throws SQLException

  Reads the next attribute in the stream and returns it as an `int` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readLong

    long readLong()
                  throws SQLException

  Reads the next attribute in the stream and returns it as a `long` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readFloat

    float readFloat()
                    throws SQLException

  Reads the next attribute in the stream and returns it as a `float` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readDouble

    double readDouble()
                      throws SQLException

  Reads the next attribute in the stream and returns it as a `double` in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `0`
  Throws:
    `SQLException` - if a database access error occurs

### readBigDecimal

    BigDecimal readBigDecimal()
                              throws SQLException

  Reads the next attribute in the stream and returns it as a `java.math.BigDecimal` object in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readBytes

    byte[] readBytes()
                     throws SQLException

  Reads the next attribute in the stream and returns it as an array of bytes in the Java programming language.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readDate

    Date readDate()
                  throws SQLException

  Reads the next attribute in the stream and returns it as a `java.sql.Date` object.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readTime

    Time readTime()
                  throws SQLException

  Reads the next attribute in the stream and returns it as a `java.sql.Time` object.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readTimestamp

    Timestamp readTimestamp()
                            throws SQLException

  Reads the next attribute in the stream and returns it as a `java.sql.Timestamp` object.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readCharacterStream

    Reader readCharacterStream()
                               throws SQLException

  Reads the next attribute in the stream and returns it as a stream of Unicode characters.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readAsciiStream

    InputStream readAsciiStream()
                                throws SQLException

  Reads the next attribute in the stream and returns it as a stream of ASCII characters.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readBinaryStream

    InputStream readBinaryStream()
                                 throws SQLException

  Reads the next attribute in the stream and returns it as a stream of uninterpreted bytes.

  Returns:
    the attribute; if the value is SQL `NULL`, returns `null`
  Throws:
    `SQLException` - if a database access error occurs

### readObject

    Object readObject()
                      throws SQLException

  Reads the datum at the head of the stream and returns it as an `Object` in the Java programming language. The actual type of the object returned is determined by the default type mapping, and any customizations present in this stream's type map.

  A type map is registered with the stream by the JDBC driver before the stream is passed to the application.

  When the datum at the head of the stream is an SQL `NULL`, the method returns `null`. If the datum is an SQL structured or distinct type, it determines the SQL type of the datum at the head of the stream. If the stream's type map has an entry for that SQL type, the driver constructs an object of the appropriate class and calls the method `SQLData.readSQL` on that object, which reads additional data from the stream, using the protocol described for that method.

  Returns:
    the datum at the head of the stream as an `Object` in the Java programming language;`null` if the datum is SQL `NULL`
  Throws:
    `SQLException` - if a database access error occurs

### readRef

    Ref readRef()
                throws SQLException

  Reads an SQL `REF` value from the stream and returns it as a `Ref` object in the Java programming language.

  Returns:
    a `Ref` object representing the SQL `REF` value at the head of the stream; `null` if the value read is SQL `NULL`
  Throws:
    `SQLException` - if a database access error occurs

### readBlob

    Blob readBlob()
                  throws SQLException

  Reads an SQL `BLOB` value from the stream and returns it as a `Blob` object in the Java programming language.

  Returns:
    a `Blob` object representing data of the SQL `BLOB` value at the head of the stream; `null` if the value read is SQL `NULL`
  Throws:
    `SQLException` - if a database access error occurs

### readClob

    Clob readClob()
                  throws SQLException

  Reads an SQL `CLOB` value from the stream and returns it as a `Clob` object in the Java programming language.

  Returns:
    a `Clob` object representing data of the SQL `CLOB` value at the head of the stream; `null` if the value read is SQL `NULL`
  Throws:
    `SQLException` - if a database access error occurs

### readArray

    Array readArray()
                    throws SQLException

  Reads an SQL `ARRAY` value from the stream and returns it as an `Array` object in the Java programming language.

  Returns:
    an `Array` object representing data of the SQL `ARRAY` value at the head of the stream; `null` if the value read is SQL `NULL`
  Throws:
    `SQLException` - if a database access error occurs

### wasNull

    boolean wasNull()
                    throws SQLException

  Retrieves whether the last value read was SQL `NULL`.

  Returns:
    `true` if the most recently read SQL value was SQL `NULL`; `false` otherwise
  Throws:
    `SQLException` - if a database access error occurs

### readURL

    URL readURL()
                throws SQLException

  Reads an SQL `DATALINK` value from the stream and returns it as a `java.net.URL` object in the Java programming language.

  Returns:
    a `java.net.URL` object.
  Throws:
    `SQLException` - if a database access error occurs, or if a URL is malformed
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.